Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1172390 - [RFE] GUI should have a field/column chooser in the UI
Summary: [RFE] GUI should have a field/column chooser in the UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: Vojtech Szocs
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On: 957600
Blocks: 1021338 1078187 1128610 1285456 1285499 1416026
TreeView+ depends on / blocked
 
Reported: 2014-12-10 01:10 UTC by Einav Cohen
Modified: 2017-01-24 11:54 UTC (History)
20 users (show)

Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Enhancement
Doc Text:
Data tables in the Administration portal support the 'Column Control' context menu which is triggered by right-clicking the table header area. The context menu enables users to control the visibility and position of individual columns. This is useful for users who want to re-order columns.
Clone Of: 957600
Environment:
Last Closed: 2016-07-05 07:42:17 UTC
oVirt Team: UX
rule-engine: ovirt-4.0.0+
pnovotny: testing_plan_complete+
rule-engine: planning_ack+
ecohen: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 43401 master MERGED webadmin,userportal: Introducing column control menu Never
oVirt gerrit 47542 master MERGED webadmin,userportal: Ensure proper column context menu titles Never

Description Einav Cohen 2014-12-10 01:10:34 UTC
+++ This bug was initially created as a clone of Bug #957600 +++

Description of problem:
RHEV-M should have a field/column chooser in the UI that is saved for the logged in user.  i.e we want the guest 'OS Version' and 'Comments' fields displayed.  We'd also remove the Cluster and DataCentre columns as we only have one DC and Cluster per RHEV-M node.

Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 10:49:09 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 2 Einav Cohen 2016-01-12 13:32:12 UTC
infrastructure for controlling the order and visibility of columns of the UI grids is in place. 

follow-up RFEs:

- persisting column order and visibility in the browser's local storage [bug 1285456]

- replacing column control up/down arrows with drag'n'drop behavior [bug 1285499]

Comment 4 Pavel Novotny 2016-07-04 16:04:02 UTC
Verified in rhevm-4.0.2-0.2.rc1.el7ev.noarch (build 4.0.1-1).

Following actions passed testing:
Change column visibility
Change column order - up/down arrows
Hide all columns & show all columns
Preserve table ordering by a hidden column


Drag & drop will be available as part of bug 1285499.
Persistence of column position and visibility is tracked in bug 1285456.

Comment 6 Sandro Bonazzola 2016-07-05 07:42:17 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.